#
# spec file for package perl-Sane
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Sane
# List of additional build dependencies
BuildRequires:  perl-ExtUtils-Depends
BuildRequires:  perl-ExtUtils-PkgConfig
BuildRequires:  perl-macros
%if %suse_version > 1130
BuildRequires:  sane-backends-devel
%endif
BuildRequires:  sane-backends
Version:        0.05
Release:        1.3
Source:         Sane-%{version}.tar.gz
Summary:        Perl extension for the SANE (Scanner Access Now Easy) Project
License:        Artistic-1.0
Group:          Development/Libraries/Perl
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}

%description
SANE (Scanner Access Now Easy) Project for perl. Easy to use module
and stuff.


%prep
%setup -q -n Sane-%{version}

%build

perl Makefile.PL
make

%install

make DESTDIR=%buildroot install_vendor
%perl_process_packlist

# Write a proper %%files section and remove these two commands and
# the '-f filelist' option to %%files
echo '%%defattr(-,root,root)' >filelist
find %buildroot -type f -printf '/%%P*\n' >>filelist

%clean
rm -rf %buildroot

%files -f filelist
%defattr(-,root,root)
%dir %{perl_vendorarch}/auto/Sane

%changelog
* Tue Dec 25 2012 gankov@opensuse.org
- Update to 0.05
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Wed Oct 13 2010 coolo@novell.com
- fix sane-backend split for 11.4
* Fri Jan 23 2009 tuukka.pasanen@ilmi.fi
- packaged perl-Sane version 0.02 using the buildservice spec file wizard
